> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sub Investor

> Returns one sub-investor's profile, login email, revokedAt and permissions by roleInOrgID.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-sub-investor
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-sub-investor:
    get:
      operationId: getSubInvestor
      summary: Get Sub Investor
      description: >-
        Returns one sub-investor's profile, login email, revokedAt and
        permissions by roleInOrgID.


        Not available to API keys.
      parameters:
        - name: roleInOrgID
          in: query
          required: true
          description: >-
            NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces
            it
          schema:
            type: string
            description: >-
              NOTE(ck): a .refine() rule is not mirrored here; TGA still
              enforces it
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSubInvestorResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetSubInvestorResponse:
      type: object
      properties:
        personID:
          type: string
          pattern: >-
            ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
        roleInOrgID:
          type: string
          pattern: >-
            ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
        invitedByInvestorID:
          type: string
        givenName:
          type: string
        familyName:
          type: string
        email:
          type:
            - string
            - 'null'
        revokedAt:
          type:
            - string
            - 'null'
          pattern: >-
            ^(?:\d{4}|[+-]\d{6})-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-9]))T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d\.\d{3}Z$
        permissions:
          type: array
          items:
            type: object
            properties:
              permissionName:
                type: string
                enum:
                  - EXERCISE_WARRANT
                  - VIEW_INVESTMENT
                  - VIEW_WARRANT
              permissionDescription:
                type: string
              scope:
                type: string
            required:
              - permissionName
              - scope
      required:
        - personID
        - invitedByInvestorID
        - givenName
        - familyName
        - email
        - revokedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
